# TODO: KUnifiedPush (Push notification support, https://invent.kde.org/libraries/kunifiedpush)
#
# Conditional build:
%bcond_with	tests		# test suite

%define		kdeappsver	25.04.0
%define		kf_ver		6.0
%define		qt_ver		6.5
%define		kaname		neochat
Summary:	A Qt/QML based Matrix client
Summary(pl.UTF-8):	Klient usługi Matrix oparty na Qt/QML
Name:		ka6-%{kaname}
Version:	25.04.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	cc2ee1d7e5239d60ea16951656a61063
URL:		https://apps.kde.org/neochat/
BuildRequires:	Qt6Core-devel >= %{qt_ver}
BuildRequires:	Qt6Gui-devel >= %{qt_ver}
BuildRequires:	Qt6Multimedia-devel >= %{qt_ver}
BuildRequires:	Qt6Network-devel >= %{qt_ver}
BuildRequires:	Qt6Qml-devel >= %{qt_ver}
BuildRequires:	Qt6Quick-devel >= %{qt_ver}
BuildRequires:	Qt6Svg-devel >= %{qt_ver}
%if %{with tests}
BuildRequires:	Qt6Test-devel >= %{qt_ver}
%endif
BuildRequires:	Qt6WebView-devel >= %{qt_ver}
BuildRequires:	Qt6Widgets-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.20
BuildRequires:	cmark-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	kf6-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf6-kcolorscheme-devel >= %{kf_ver}
BuildRequires:	kf6-kconfig-devel >= %{kf_ver}
BuildRequires:	kf6-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kcrash-devel >= %{kf_ver}
BuildRequires:	kf6-kdbusaddons-devel >= %{kf_ver}
BuildRequires:	kf6-kdoctools >= %{kf_ver}
BuildRequires:	kf6-ki18n-devel >= %{kf_ver}
BuildRequires:	kf6-kio-devel >= %{kf_ver}
BuildRequires:	kf6-kirigami-addons-devel >= 0.7.2
BuildRequires:	kf6-kirigami-devel >= %{kf_ver}
BuildRequires:	kf6-kitemmodels-devel >= %{kf_ver}
BuildRequires:	kf6-knotifications-devel >= %{kf_ver}
BuildRequires:	kf6-kstatusnotifieritem-devel >= %{kf_ver}
BuildRequires:	kf6-kwindowsystem-devel >= %{kf_ver}
BuildRequires:	kf6-purpose-devel >= %{kf_ver}
BuildRequires:	kf6-qqc2-desktop-style-devel >= %{kf_ver}
BuildRequires:	kf6-sonnet-devel >= %{kf_ver}
BuildRequires:	kf6-syntax-highlighting-devel >= %{kf_ver}
BuildRequires:	kquickimageeditor-devel >= 0.3.0
BuildRequires:	libQuotient-qt6-devel >= 0.9.0
BuildRequires:	libicu-devel >= 61.0
# C++20
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qcoro-qt6-devel >= 0.4
BuildRequires:	qt6-build >= 6.5
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-data = %{version}-%{release}
Requires:	Qt6Core >= %{qt_ver}
Requires:	Qt6Gui >= %{qt_ver}
Requires:	Qt6Multimedia >= %{qt_ver}
Requires:	Qt6Network >= %{qt_ver}
Requires:	Qt6Qml >= %{qt_ver}
Requires:	Qt6Quick >= %{qt_ver}
Requires:	Qt6Svg >= %{qt_ver}
Requires:	Qt6WebView >= %{qt_ver}
Requires:	Qt6Widgets >= %{qt_ver}
Requires:	kf6-kcolorscheme >= %{kf_ver}
Requires:	kf6-kconfig >= %{kf_ver}
Requires:	kf6-kcoreaddons >= %{kf_ver}
Requires:	kf6-kcrash >= %{kf_ver}
Requires:	kf6-kdbusaddons >= %{kf_ver}
Requires:	kf6-ki18n >= %{kf_ver}
Requires:	kf6-kio >= %{kf_ver}
Requires:	kf6-kirigami >= %{kf_ver}
Requires:	kf6-kirigami-addons >= 0.7.2
Requires:	kf6-kitemmodels >= %{kf_ver}
Requires:	kf6-knotifications >= %{kf_ver}
Requires:	kf6-kstatusnotifieritem >= %{kf_ver}
Requires:	kf6-kwindowsystem >= %{kf_ver}
Requires:	kf6-purpose >= %{kf_ver}
Requires:	kf6-qqc2-desktop-style >= %{kf_ver}
Requires:	kf6-sonnet >= %{kf_ver}
Requires:	kf6-syntax-highlighting >= %{kf_ver}
Requires:	kquickimageeditor >= 0.3.0
Requires:	libQuotient-qt6 >= 0.9.0
Requires:	qcoro-qt6 >= 0.4
Obsoletes:	ka5-neochat < 24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NeoChat is a client for Matrix (<https://matrix.org/>), the
decentralized communication protocol for instant messaging. It is a
fork of Spectral, using KDE frameworks, most notably Kirigami
(<https://invent.kde.org/frameworks/kirigami>) to provide a convergent
experience across multiple platforms.

NeoChat also make use of other KDE Frameworks as well as libQuotient
(<https://github.com/quotient-im/libQuotient>), a Qt-based SDK for the
Matrix Protocol (<https://spec.matrix.org/>).

%description -l pl.UTF-8
NeoChat to klient usługi Matrix (<https://matrix.org/>) -
zdecentralizowanego protokołu komunikatora internetowego. Jest to
odgałęzienie Spectral, wykorzystujące szkielety KDE, w szczególności
Kirigami (<https://invent.kde.org/frameworks/kirigami>), w celu
zapewnienia wygodnej obsługi na wielu platformach.

NeoChat wykorzystuje także inne szkielety KDE, a także libQuotient
(<https://github.com/quotient-im/libQuotient>) - oparte na Qt SDK dla
protokołu Matrix (<https://spec.matrix.org/>).

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications
Requires(post,postun):	desktop-file-utils
Obsoletes:	ka5-neochat-data < 24
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DQT_MAJOR_VERSION=6

%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# not supported by glibc yet (2.37)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{ie,tok}

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post data
%update_desktop_database_post

%postun data
%update_desktop_database_postun

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/neochat
%attr(755,root,root) %{_libdir}/qt6/plugins/kf6/purpose/neochatshareplugin.so

%files data -f %{kaname}.lang
%defattr(644,root,root,755)
%{_datadir}/knotifications6/neochat.notifyrc
%{_datadir}/krunner/dbusplugins/plasma-runner-neochat.desktop
%{_datadir}/metainfo/org.kde.neochat.appdata.xml
%{_datadir}/qlogging-categories6/neochat.categories
%{_desktopdir}/org.kde.neochat.desktop
%{_iconsdir}/hicolor/scalable/apps/org.kde.neochat.svg
%{_iconsdir}/hicolor/scalable/apps/org.kde.neochat.tray.svg
%{_mandir}/man1/neochat.1*
%lang(ca) %{_mandir}/ca/man1/neochat.1*
%lang(es) %{_mandir}/es/man1/neochat.1*
%lang(it) %{_mandir}/it/man1/neochat.1*
%lang(nl) %{_mandir}/nl/man1/neochat.1*
%lang(sl) %{_mandir}/sl/man1/neochat.1*
%lang(sv) %{_mandir}/sv/man1/neochat.1*
%lang(tr) %{_mandir}/tr/man1/neochat.1*
%lang(uk) %{_mandir}/uk/man1/neochat.1*
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-neochat.git;a=log;h=master

* Thu Apr 24 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 6d4fcb9
- update_desktop_database

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a8b12a0
- updated to 25.04.0

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f75c40f
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 95982c3
- updated to 24.12.2

* Sat Jan 18 2025 Jan Palus <atler@pld-linux.org> ea392d9
- icu 76 rebuild

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 4d852c3
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 12d873f
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> d92216d
- updated to 24.08.3

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 1bf9f45
- updated dependencies

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 24ea39c
- pl, cleanup

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 8d02d5e
- macros for ninja, rpm for noarch subpackage

* Sun Oct 20 2024 Jakub Bogusz <qboosh@pld-linux.org> 654ef2d
- updated kirigami-addons package name

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 9090295
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 62b4c7b
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dbe67ff
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> ce9a9df
- data subpackage

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 7e79946
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 33ebcac
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a0f26b8
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 98d647d
- updated to 24.02.2

